--HELP 가이드 미키와 친구들 튜토리얼 자식--


LAYOUT_TOP = 0;
LAYOUT_MIDDLE = 1;
LAYOUT_BOTTOM = 2;

MSG_BG_OFF = 0;
MSG_BG_ON = 1;
--검은색 배경이 깔리는냐 안깔리느냐

MSG_LEFT = 1;
MSG_RIGHT = 2;
--캐릭터가 왼쪽/오른쪽에 나오는지(텍스트)

MASK_SQUARE = 1;
MASK_CIRCLE = 2;
--검은색 구멍뚫는것(아무때나 쓸수있음)

ANI_ONCE = 0;
ANI_LOOP = 1;

UI_TOUCH_OFF = 0;
UI_TOUCH_ON = 1;

TOUCH_TEXT_OFF = 0;
TOUCH_TEXT_ON = 1;

SetTimer(0);

	if (MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP02) then
		MM.LOG("SCRIPT_STEP02");
		
		MM.SHOW_BG_BLACK(); -- 인자값에 1000을 넣으면 1초동안 Fade-In 효과 적용 (1/1000 단위로 적용)
		
		MM.SHOW_SPRITE("tutorial.f3spr", "Magic_line_b", ANI_ONCE, 0, -50, 1.0, 1.0, 1, LAYOUT_MIDDLE, 6);
		MM.FIXED_DELAY(2);
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42231", LAYOUT_MIDDLE); --미키와 친구들 맵에 대해 알아봅시다
		MM.MSG(0, 250, MSG_BG_OFF, "nt42232", LAYOUT_MIDDLE); --미키와 친구들 맵에서는 독점 승리라는 새로운 승리 규칙이 추가되었습니다
		
		MM.HIDE_BG();
		
		
		--[컬러독점 설명]==================================================================================================
		
		MM.STRUCT_BUILD(E_USER, 1, Property_Kind_Hotel );
		MM.DELAY(40);
		MM.STRUCT_BUILD(E_USER, 2, Property_Kind_Hotel );
		MM.DELAY(30);

		MM.BLOCK_EFFECT_ODD(2,TRUE);
		MM.BLOCK_EFFECT_ODD(1,TRUE);
		
		MM.DELAY(50);
		MM.BLOCK_MONOPOLY(1,TRUE);
		--이녀석이 컬러독점!?
		MM.DELAY(90);

		MM.BLOCK_EFFECT_ODD(1,FALSE);
		MM.BLOCK_EFFECT_ODD(2,FALSE);		
		MM.SHOW_MASKEX("block_triple1", 0, 0, 1.0, 1.0, 0, LAYOUT_MIDDLE, 1);
		--컬러독점 마스크
		
		MM.MSG(0, 600, MSG_BG_OFF, "nt42233", LAYOUT_MIDDLE); --기본적으로 같은 색의 모든 블록들을 소유하면 컬러 독점으로 통행료를 2배로 받을 수 있습니다
		MM.HIDE_MASK(0, 1);
		
		--[컬러독점 설명 종료]=============================================================================================
		
		
		
		
		--[트리플독점 설명]================================================================================================
		
		MM.STRUCT_BUILD(E_USER, 7, Property_Kind_Villa );
		MM.DELAY(15);
		MM.STRUCT_BUILD(E_USER, 8, Property_Kind_Villa );
		MM.DELAY(15);
		MM.STRUCT_BUILD(E_USER, 22, Property_Kind_Villa );
		MM.DELAY(15);
		MM.STRUCT_BUILD(E_USER, 23, Property_Kind_Villa );
		MM.DELAY(40);

		
		MM.SHOW_MASKEX("block_triple3", 0, 0, 1.0, 1.0, 0, LAYOUT_MIDDLE, 1);
		--트리플 독점 마스크
		MM.SHOW_SPRITE("tutorial.f3spr", "ef_tutorial_3", ANI_LOOP, 0, 0, 1.0, 1.0, 1000, LAYOUT_MIDDLE, 0, 1); -- (SPR, 멀티씬, 반복여부, X좌표, Y좌표, X비율, Y비율, 넘버링, 해상도 위치 조정, 뎁스, 모름)
		--트리플 독점 이펙트

		MM.DELAY(30);
		
		MM.MSG(0, 600, MSG_BG_OFF, "nt42234", LAYOUT_MIDDLE); --이러한 컬러 독점 세 곳을 소유하면 트리플 독점으로 승리할 수 있습니다
		MM.HIDE_MASK(0,1);
		MM.HIDE_SPRITE(1000, 1);
		MM.SENDMARBLELOG(0);
		MM.DELAY(30);		
		
		--[트리플독점 설명 종료]===========================================================================================
		
		
		
		
		--[라인독점 설명]==================================================================================================
		
		MM.SELECT_BUILD_CLEAR(7); -- 선택 건물 삭제
		MM.SELECT_BUILD_CLEAR(8); -- 선택 건물 삭제
		MM.DELAY(15);
		
		MM.SELECT_BUILD_CLEAR(22); -- 선택 건물 삭제
		MM.SELECT_BUILD_CLEAR(23); -- 선택 건물 삭제
		MM.DELAY(30);
	
		MM.STRUCT_BUILD(E_USER, 4, Property_Kind_Villa );
		MM.DELAY(15);
		MM.STRUCT_BUILD(E_USER, 5, Property_Kind_Villa );
		MM.DELAY(45);
	
		
		MM.SHOW_MASKEX("block_line", 0, 0, 1.0, 1.0, 0, LAYOUT_MIDDLE, 1);
		--라인 독점 마스크
		MM.SHOW_SPRITE("tutorial.f3spr", "ef_tutorial_1", ANI_LOOP, 0, 0, 1.0, 1.0, 1001, LAYOUT_MIDDLE, 0, 1);
		--라인 독점 이펙트
		
		MM.DELAY(30);

		MM.MSG(0, 600, MSG_BG_OFF, "nt42235", LAYOUT_MIDDLE); --또한 한 라인의 블록을 모두 소유하면 라인 독점으로 승리할 수 있습니다
		MM.HIDE_MASK(0, 1);
		MM.HIDE_SPRITE(1001, 1);
		MM.SENDMARBLELOG(1);
		
		--[라인독점 설명 종료]=============================================================================================
		
		
		
		MM.SELECT_BUILD_CLEAR(1); -- 선택 건물 삭제
		MM.SELECT_BUILD_CLEAR(2); -- 선택 건물 삭제
		MM.SELECT_BUILD_CLEAR(4); -- 선택 건물 삭제
		MM.SELECT_BUILD_CLEAR(5); -- 선택 건물 삭제
		MM.DELAY(30);
		
		MM.MSG(0, 250, MSG_BG_ON, "nt42236", LAYOUT_MIDDLE); --전략적으로 블록을 구매하여 게임을 승리로 이끌어보세요
		MM.MSG(0, 250, MSG_BG_ON, "nt42237", LAYOUT_MIDDLE); --마지막으로 운명의 바퀴에 대해 알아봅시다 건물을 지으며 운명의 바퀴로 이동해보세요
		
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP03);
		
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP04) then
		MM.LOG("SCRIPT_STEP04");
		
		MM.ENABLE_DICE(1, 0);
		--Roll 버튼 활성화
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP05);
		SetTimer(0);
	
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP06) then
		MM.LOG("SCRIPT_STEP06");
		
	    MM.SET_TOUCH(550, 150, 185, 135, LAYOUT_MIDDLE);
		--Roll 버튼에 터치 영역 설정
		MM.FIXED_DELAY(1);
		
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 642, 320, 1.0, 1.0, 1002, LAYOUT_MIDDLE);
		--ROLL 버튼에 터치 화살표 출력
		MM.SHOW_TOUCH(642, 225, FALSE, TOUCH_TEXT_OFF, LAYOUT_MIDDLE);
		--ROLL 버튼에 터치 이펙트 출력
        
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP07);
	
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP08) then
		MM.LOG("SCRIPT_STEP08");
		
		MM.HIDE_TOUCH();
		--ROLL 버튼에 터치 이펙트 제거
		MM.HIDE_SPRITE(1002);
		MM.SET_TOUCH_LOCK();
		
		MM.BLOCK_EFFECT_ODD(11,TRUE)
		--10번째 맵을 강조 표시
		
		MM.DELAY(50);
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP09);

	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP10) then
		MM.LOG("SCRIPT_STEP10");
		
	    MM.HIDE_TOUCH();
		MM.SET_TOUCH_LOCK();
	    MM.BLOCK_EFFECT_ODD(10,FALSE)
		
		MM.END_DICE();
		MM.PLAYER_MOVE(0, 11);
		MM.DELAY(30);
		
		MM.STRUCT_ASK(E_USER, 11, Property_Kind_Building);
		MM.DELAY(10);
		
		MM.SET_TOUCH(655, 130, 265, 70, LAYOUT_MIDDLE);
		--구매 버튼 터치 영역 설정
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 783, 240, 1.0, 1.0, 1003, LAYOUT_MIDDLE);
		--구매 버튼에 화살표 출력
		MM.SHOW_SPRITE("tutorial.f3spr", "eft_stroke_pop_landmark_2", ANI_LOOP, 783, 167, 1.0, 1.0, 1004, LAYOUT_MIDDLE);
		--구매 버튼에 네모 박스 이펙트 출력
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP11);

	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP12) then
		MM.LOG("SCRIPT_STEP12");
		
		MM.DELAY(50);
		
		MM.TURN_CHANGED(1, 1800, 30);
		
		MM.SET_DICE(0, 2, 5, 1, FALSE);
		MM.FIXED_DELAY(1.5);
		MM.END_DICE();		
		MM.PLAYER_MOVE(1, 7); --NPC캐릭터 이동 7칸
		MM.DELAY(30);
		MM.STRUCT_ASK(1, 7, 2); -- NPC 건물 건설
		MM.DELAY(50);
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP13);
	
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP14) then
		MM.LOG("SCRIPT_STEP14");
		
		MM.TURN_CHANGED(0, 1800, 30);
		
		MM.ENABLE_DICE(1, 0);
		
		MM.SET_TOUCH(550, 150, 185, 135, LAYOUT_MIDDLE);
		--Roll 버튼에 터치 영역 설정
		MM.FIXED_DELAY(1);
		
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 642, 320, 1.0, 1.0, 1005, LAYOUT_MIDDLE);
		--ROLL 버튼에 터치 화살표 출력
		MM.SHOW_TOUCH(642, 225, FALSE, TOUCH_TEXT_OFF, LAYOUT_MIDDLE);
		--ROLL 버튼에 터치 이펙트 출력
        
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP15);
		
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP17) then
		MM.LOG("SCRIPT_STEP17");
		
		
		MM.HIDE_SPRITE(1005);
		MM.HIDE_TOUCH();
		MM.DELAY(50);
		MM.END_DICE();
		MM.BLOCK_EFFECT_ODD(21,TRUE)
		MM.PLAYER_MOVE(0, 21);
		MM.BLOCK_EFFECT_ODD(21,FALSE)
		MM.DELAY(40);
		
		
		MM.SET_TOUCH(545,261, 179, 179, LAYOUT_MIDDLE);
		MM.DELAY(20);
		MM.BOKBULBOK_CARD_OPEN(0, 13, 1, 1);
		MM.SET_TUTORIAL_REWARD_UI(false);
		
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP18);
	
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP20) then
		MM.LOG("SCRIPT_STEP20");
		
		MM.DELAY(210);
		
		MM.FORCE_MOVE(E_NPC, 0); -- 강제 이동
		MM.DELAY(50);
		
		--MM.SET_TUTORIAL_REWARD_UI(true,false,"","");
		MM.MSG(0, 250, MSG_BG_ON, "nt42238", LAYOUT_MIDDLE); --이렇게 운명의 바퀴에서는 모두의 운을 시험해 볼 수 있습니다
		MM.MSG(0, 250, MSG_BG_ON, "nt42239", LAYOUT_MIDDLE); --이것으로 미키와 친구들 맵 설명이 완료되었습니다 친구들과 함께 미키와 친구들 맵을 즐겨보세요

		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_END);
		
	end
	
	