--HELP 가이드 겨울왕국 튜토리얼 자식--


LAYOUT_TOP = 0;
LAYOUT_MIDDLE = 1;
LAYOUT_BOTTOM = 2;

MSG_BG_OFF = 0;
MSG_BG_ON = 1;
--검은색 배경이 깔리는냐 안깔리느냐

MSG_LEFT = 1;
MSG_RIGHT = 2;
--캐릭터가 왼쪽/오른쪽에 나오는지(텍스트)

MASK_SQUARE = 1;
MASK_CIRCLE = 2;
--검은색 구멍뚫는것(아무때나 쓸수있음)

ANI_ONCE = 0;
ANI_LOOP = 1;

UI_TOUCH_OFF = 0;
UI_TOUCH_ON = 1;

TOUCH_TEXT_OFF = 0;
TOUCH_TEXT_ON = 1;

SetTimer(0);


	if (MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP02) then
		MM.LOG("SCRIPT_STEP02");
		
		MM.SHOW_BG_BLACK(); -- 인자값에 1000을 넣으면 1초동안 Fade-In 효과 적용 (1/1000 단위로 적용)
		
		MM.SHOW_SPRITE("tutorial.f3spr", "Magic_line_b", ANI_ONCE, 0, -50, 1.0, 1.0, 1, LAYOUT_MIDDLE, 6);
		MM.FIXED_DELAY(2);
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42240", LAYOUT_MIDDLE); --겨울왕국 맵에 대해 알아봅시다
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42241", LAYOUT_MIDDLE); --겨울왕국 맵은 블록의 수가 늘어나고 매직블록과 얼음길 블록이 새롭게 추가되었습니다
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42242", LAYOUT_MIDDLE); --먼저, 매직블록은 하늘색과 분홍색 2가지 종류가 있습니다
		
		MM.HIDE_BG();
		
		MM.SHOW_MASKEX("block_tour", 0, 0, 1.0, 1.0, 0, LAYOUT_MIDDLE, 1);
		--매직 블록 마스크 처리
		-- MM.BLOCK_EFFECT_ODD(6,TRUE);
		-- MM.BLOCK_EFFECT_ODD(14,TRUE);
		-- MM.BLOCK_EFFECT_ODD(23,TRUE);
		-- MM.BLOCK_EFFECT_ODD(30,TRUE);
		MM.FIXED_DELAY(2.5);
		
		--MM.BLOCK_EFFECT_ODD(30,FALSE);
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42243", LAYOUT_MIDDLE); --하늘색 매직블록은 소유 개수가 늘어날수록 통행료가 증가하고,
		
		-- MM.BLOCK_EFFECT_ODD(6,FALSE);
		-- MM.BLOCK_EFFECT_ODD(14,FALSE);
		-- MM.BLOCK_EFFECT_ODD(23,FALSE);
		-- MM.BLOCK_EFFECT_ODD(30,TRUE);
		
		MM.MSG(0, 600, MSG_BG_OFF, "nt42244", LAYOUT_MIDDLE); --분홍색 매직블록은 누군가 블록에 도착할 때마다 통행료가 증가합니다
		
		-- MM.BLOCK_EFFECT_ODD(6,TRUE);
		-- MM.BLOCK_EFFECT_ODD(14,TRUE);
		-- MM.BLOCK_EFFECT_ODD(23,TRUE);
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42245", LAYOUT_MIDDLE); --매직블록은 통행료가 비싸진 않지만 랜드마크처럼 인수가 불가능하므로, 잘 활용한다면 게임을 유리하게 이끌 수 있습니다
		
		MM.HIDE_MASK(0, 1);
		
		MM.RGN_CHANGED(E_USER, 6, Property_Kind_Villa, TRUE);
		MM.FIXED_DELAY(1);
		MM.RGN_CHANGED(E_USER, 14, Property_Kind_Villa, TRUE);
		MM.FIXED_DELAY(1);
		MM.RGN_CHANGED(E_USER, 23, Property_Kind_Villa, TRUE);
		MM.FIXED_DELAY(1);
		MM.RGN_CHANGED(E_USER, 30, Property_Kind_Villa, TRUE);
		MM.FIXED_DELAY(3);
		
		MM.SHOW_MASKEX("block_tour", 0, 0, 1.0, 1.0, 0, LAYOUT_MIDDLE, 1);
		
		MM.SHOW_SPRITE("tutorial.f3spr", "ef_tutorial_2", ANI_LOOP, 0, 0, 1.0, 1.0, 1001, LAYOUT_MIDDLE, 0, 1);
		MM.FIXED_DELAY(3);
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42246", LAYOUT_MIDDLE); --또한, 매직블록을 모두 소유해도 매직블록 독점으로 승리할 수 있습니다

		MM.MSG(0, 250, MSG_BG_OFF, "nt42247", LAYOUT_MIDDLE); --다음은 얼음길 블록에 대해 알아봅시다 얼음길 블록으로 이동해보세요
		
		MM.SELECT_BUILD_CLEAR(6); -- 선택 건물 삭제
		MM.SELECT_BUILD_CLEAR(14); -- 선택 건물 삭제
		MM.SELECT_BUILD_CLEAR(23); -- 선택 건물 삭제
		MM.SELECT_BUILD_CLEAR(30); -- 선택 건물 삭제
		
		MM.HIDE_MASK(0, 1);
		MM.HIDE_SPRITE(1001, 1);
		MM.FIXED_DELAY(1.5);
		
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP03);
		SetTimer(0);
	
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP04) then
		MM.LOG("SCRIPT_STEP04");
		
		MM.ENABLE_DICE(1, 0); --Roll 버튼 활성화
		MM.BLOCK_EFFECT_ODD(4,TRUE);
		
	    MM.SET_TOUCH(550, 150, 185, 135, LAYOUT_MIDDLE);
		--Roll 버튼에 터치 영역 설정
		MM.FIXED_DELAY(1);
		
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 642, 320, 1.0, 1.0, 1002, LAYOUT_MIDDLE);
		--ROLL 버튼에 터치 화살표 출력
		MM.SHOW_TOUCH(642, 225, FALSE, TOUCH_TEXT_OFF, LAYOUT_MIDDLE);
		--ROLL 버튼에 터치 이펙트 출력
        
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP05);
		
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP07) then
		MM.LOG("SCRIPT_STEP07");
		
		MM.HIDE_SPRITE(1002);
		MM.HIDE_TOUCH(); --ROLL 버튼에 터치 이펙트 제거
		MM.DELAY(30);
		
		MM.DELAY(30);
		MM.END_DICE();
	    MM.PLAYER_MOVE(0, 4);
		
		MM.DELAY(35);
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42248", LAYOUT_MIDDLE); --얼음길 블록에 도착했습니다 다음은 연결할 다른 얼음길 블록을 선택해보세요
		
		MM.SET_TOUCH(340, 455, 155, 110, LAYOUT_MIDDLE);
		
		MM.THEMEPARK_GATE_SELECT(12);
		MM.SHOW_RECOM(12, 1, 1); --(블록 위치, 0: 기본 설정// 1: Block_Recom.spr 연출 사용, 0~5 : 색 지정)
			
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP08);

	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP10) then
		MM.LOG("SCRIPT_STEP10");
		
		MM.HIDE_SPRITE(1003);
		MM.HIDE_TOUCH();
		--MM.SET_DICE(50, 4, 2, 0,TRUE);
		--주사위 값 표시(고정,첫번째주사위,두번째주사위,대상,고정)
		MM.DELAY(65);
		MM.END_DICE();
		MM.PLAYER_MOVE(E_USER,17,false,12);
		MM.DELAY(50);
		MM.STRUCT_ASK(E_USER, 17, Property_Kind_Building);
		
		MM.DELAY(10);
		MM.SET_TOUCH(655, 130, 265, 70, LAYOUT_MIDDLE);
		--구매 버튼 터치 영역 설정
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 783, 240, 1.0, 1.0, 1004, LAYOUT_MIDDLE);
		--구매 버튼에 화살표 출력
		MM.SHOW_SPRITE("tutorial.f3spr", "eft_stroke_pop_landmark_2", ANI_LOOP, 783, 167, 1.0, 1.0, 1005, LAYOUT_MIDDLE);
		--구매 버튼에 네모 박스 이펙트 출력
		
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP11);

	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP12) then
		MM.LOG("SCRIPT_STEP12");
		
		MM.DELAY(40);
		MM.MSG(0, 250, MSG_BG_OFF, "nt42249", LAYOUT_MIDDLE); --이렇게 얼음길을 연결하면 전략적으로 게임을 진행할 수 있습니다

		MM.SET_TOUCH_LOCK();
		
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP13);
	
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP14) then
		MM.LOG("SCRIPT_STEP14");
		
		MM.TURN_CHANGED(1, 1800, 30);
		MM.SET_TUTORIAL_REWARD_UI(false,false,"","");
		MM.SHOW_MASK(MASK_CIRCLE, 640, 100, 3.0, 3.0, 0.5, LAYOUT_MIDDLE);
		--MM.DELAY(20);
		MM.SHOW_TEXT("tutorial.f3spr", "text_ef", "<text>text", "nt10001", 640, 190, LAYOUT_MIDDLE);
		--캐릭터 중앙을 마스크처리
		--MM.DELAY(20);
		
		MM.MSG(0, 600, MSG_BG_OFF, "nt42250", LAYOUT_MIDDLE); --상대방 차례입니다

		--MM.TURN_CHANGED(1, 1800, 30);
		--MM.SHOW_MASK(MASK_CIRCLE, 643, 120, 3.0, 3.0, 0.5, LAYOUT_MIDDLE);
		--MM.DELAY(20);
		--MM.SHOW_TEXT("tutorial.f3spr", "text_ef", "<text>text", "nt10001", 640, 205, LAYOUT_MIDDLE);
		--캐릭터 중앙을 마스크처리
		--MM.DELAY(20);
		
		MM.HIDE_MASK(0.5);
		MM.HIDE_TEXT();
	
		MM.SET_TUTORIAL_REWARD_UI(true,true,"","");
		
		MM.SET_DICE(0, 2, 2, 1, FALSE);
		MM.FIXED_DELAY(1.5);
		MM.END_DICE();		
		MM.PLAYER_MOVE(1, 4); --NPC캐릭터 이동 4칸
		MM.DELAY(30);
		MM.THEMEPARK_FORCE_GATE_SET(4,20)
		MM.DELAY(40);
		MM.SET_DICE(0, 2, 1, E_NPC, false);
		MM.FIXED_DELAY(1.5);
		MM.END_DICE();
		MM.PLAYER_MOVE(E_NPC, 22, false, 20);
		MM.DELAY(40);
		MM.STRUCT_ASK(1, 22, 2); -- NPC 건물 건설
		MM.DELAY(50);

		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP15);
		
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP16) then
		MM.LOG("SCRIPT_STEP16");
		
		MM.DELAY(20);
		MM.SHOW_MASK(MASK_CIRCLE, 840, 580, 4.0, 4.0, 0.5, LAYOUT_MIDDLE);
		--썰매 강조 마스크
		MM.THEMEPARK_PARADE_CARD_COMEOUT(19)
		MM.FIXED_DELAY(3);
		MM.MSG(0, 250, MSG_BG_OFF, "nt42251", LAYOUT_MIDDLE); --썰매가 나타났습니다 썰매가 있는 블록으로 이동해보세요
		
		MM.HIDE_MASK(0.5);
		MM.HIDE_SPRITE(104);
		MM.HIDE_MASK(0);
		MM.TURN_CHANGED(0, 1800, 30);

		MM.ENABLE_DICE(1, 0);
		MM.BLOCK_EFFECT_ODD(19,TRUE)
		
		MM.SET_TOUCH(550, 150, 185, 135, LAYOUT_MIDDLE);
		--Roll 버튼에 터치 영역 설정
		MM.FIXED_DELAY(1);
		
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 642, 320, 1.0, 1.0, 1006, LAYOUT_MIDDLE);
		--ROLL 버튼에 터치 화살표 출력
		MM.SHOW_TOUCH(642, 225, FALSE, TOUCH_TEXT_OFF, LAYOUT_MIDDLE);
		--ROLL 버튼에 터치 이펙트 출력
		
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP17);
		
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP18) then
		MM.LOG("SCRIPT_STEP18");
		
		MM.HIDE_SPRITE(1006);
		MM.HIDE_TOUCH();
		MM.DELAY(50);
		MM.END_DICE();
		MM.PLAYER_MOVE(0, 19);
		MM.DELAY(40);
		MM.STRUCT_ASK(E_USER, 19, Property_Kind_Building);
		MM.DELAY(20);
		
		MM.SET_TOUCH(655, 130, 265, 70, LAYOUT_MIDDLE);
		--구매 버튼 터치 영역 설정
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 783, 240, 1.0, 1.0, 1007, LAYOUT_MIDDLE);
		--구매 버튼에 화살표 출력
		MM.SHOW_SPRITE("tutorial.f3spr", "eft_stroke_pop_landmark_2", ANI_LOOP, 783, 167, 1.0, 1.0, 1008, LAYOUT_MIDDLE);
		--구매 버튼에 네모 박스 이펙트 출력
		
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP19);
	
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP20) then
		MM.LOG("SCRIPT_STEP20");
		
		MM.SET_TOUCH_LOCK();
		MM.HIDE_TOUCH();
		--ROLL 버튼에 터치 이펙트 제거
		MM.HIDE_SPRITE(1007);
		MM.HIDE_SPRITE(1008);
		MM.DELAY(40);
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42252", LAYOUT_MIDDLE); --썰매가 있는 블록에 도착하면 라인의 모든 유저를 끌어당길 수 있습니다

		MM.DELAY(30);
		MM.THEMEPARK_PARADE_CARD_ARRIVAL(E_USER)		
		MM.DELAY(60);
		MM.PLAYER_MOVE(E_NPC, 19, true);
		MM.DELAY(20);
		MM.MONEY_STATE(1, 19, 2, 0);
		MM.DELAY(30);
		MM.BANKRUPTCY(1);

		MM.FIXED_DELAY(4);
		
		MM.HIDE_MASK(0.5);
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42253", LAYOUT_MIDDLE); --이것으로 겨울왕국 맵 설명이 완료되었습니다 친구들과 함께 겨울왕국 맵을 즐겨보세요
		
		MM.SET_TOUCH_SCREEN();
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_END);
	
	end
	
	
	
	
	
	
	
	
	
	
	
	
	
	