--스페셜 스테이지 오픈 튜토리얼 엄마--

MM.LOG("SpecialStage");

-- bool형
FALSE	= 0;
TRUE	= 1;

-- 상태
SCRIPT_STEP		= 0;

SCRIPT_START	= 0;
SCRIPT_STEP01	= 1;
SCRIPT_STEP02	= 2;
SCRIPT_STEP03	= 3;
SCRIPT_STEP04	= 4;
SCRIPT_STEP05	= 5;
SCRIPT_STEP06	= 6;
SCRIPT_STEP07	= 7;
SCRIPT_STEP08	= 8;
SCRIPT_STEP09	= 9;
SCRIPT_STEP10	= 10;
SCRIPT_STEP11	= 11;
SCRIPT_STEP12	= 12;
SCRIPT_STEP13	= 13;
SCRIPT_STEP14	= 14;
SCRIPT_STEP15	= 15;
SCRIPT_END		= 99;

-- 화면
SCENE_INTRO				= 1; -- 인트로 화면
SCENE_PATCH				= 2; -- 패치 화면
SCENE_LOGIN				= 3; -- 로그인 화면
SCENE_LOBBY				= 4; -- 메인 로비 화면
SCENE_CHARCREATE		= 5; -- 캐릭터 생성 화면
SCENE_MATCHMODE			= 6; -- 채널 선택 화면
SCENE_ROOM				= 8; -- 대기실 화면
SCENE_INGAMELOADING		= 9; -- 로딩 화면
SCENE_INGAME			= 10; -- 인게임 화면
SCENE_SHOP				= 11; -- 상점 화면
SCENE_INVENTORY			= 12; -- 코스튬카드 화면
SCENE_INVENTORYDICE		= 13; -- 주사위 화면
SCENE_CUBE				= 18; -- 큐브 화면
SCENE_RANKBASE			= 19; -- 랭킹 화면
SCENE_FRIENDBASE		= 20; -- 친구 화면
SCENE_LUCKYITEM			= 21; -- 행운아이템 화면
SCENE_STORYMODE			= 22; -- 스토리모드 화면
SCENE_STORYINFO			= 23; -- 스토리모드 정보 화면
SCENE_STORYMODE_RESULT	= 24; -- 스코리모드 결과 화면
SCENE_RECONNECT			= 26; -- 재접속 화면
SCENE_RESTART			= 27; -- 재시작 화면

-- 변수
LAYOUT_TOP = 0;
LAYOUT_MIDDLE = 1;
LAYOUT_BOTTOM = 2;

MSG_BG_OFF = 0;
MSG_BG_ON = 1;

MSG_LEFT = 1;
MSG_RIGHT = 2;

MASK_SQUARE = 1;
MASK_CIRCLE = 2;

ANI_ONCE = 0;
ANI_LOOP = 1;

UI_TOUCH_OFF = 0;
UI_TOUCH_ON = 1;

TOUCH_TEXT_OFF = 0;
TOUCH_TEXT_ON = 1;

LOCK_STORYMODE_WORLDMAP = 1;
LOCK_CAHNNEL_LIST = 2;
LOCK_INVENTORY_CARD_LIST = 3;
LOCK_INVENTORY_MAGICITEM_LIST = 4;
LOCK_SHOPCARD_LIST = 5;
LOCK_POSTLIST =6;

BUTTON_SKIP = 0;
BUTTON_STOP = 1;

--*****************************************---
E_CLICK_DICE_BUTTON 		= 0
E_CLICK_ISLAND_ESCAPE_DICE	= 1
E_CLICK_ISLAND_ESCAPE_PAY 	= 2
E_CLICK_ISLAND_ESCAPE_CARD	= 3
E_CLICK_STRUCT_OK			= 4
E_CLICK_CHANCE_CARD			= 5
E_MOVEPLAYER_END			= 6
E_CLICK_TAX 				= 7 	-- 국세청
E_CLICK_TAKE_OVER_CANCEL 	= 8		-- 인수 안함
E_CLICK_TAKE_OVER_OK 		= 9		-- 인수 함
E_CLICK_RESULT_OK 			= 10	-- 결과창 버튼 
E_CLICK_RGN 				= 11	-- 건설지역 터치 확인
E_CLICK_HUD					= 12    -- Hud 가 클릭 되었다는 것을 확인 
E_CLICK_TOUCH_BTN 			= 100	-- 기본 터치 이벤트
E_CLICK_UPGRADE_BTN			= 101	-- 점령맵 요새 업그레이드 버튼
E_CLICK_BUY_BTN 			= 102	-- 점령맵 건물사기 버튼
E_CLICK_BOMB_BTN 			= 103	-- 점령맵 폭탄 설치 버튼
E_CLICK_REPAIR_SELECT		= 104	-- 점령맵 수리 요새 선택
E_CLICK_ATTACK_SELECT		= 105	-- 점령맵 총공격 선택
E_CLICK_ATTACK_WIN		    = 106	-- 점령맵 총

----------------------------------------------------------------------------------
-- Result Function, 필수 부분
RESULT_SEND		= 100;
RESULT_SENDING	= 101;
RESULT_SENT		= 102;

ResultTimer = 0;

function NetResult(num)
    MM.LOG("RESULT0");
	--if (TRUE == is_reword) then
	--MM.LOG("RESULT1");
	--	if (FALSE == MM.ISREWORD()) then
	--	MM.LOG("RESULT2");
	--		MM.HIDE_MASK(0);
	--		MM.SET_TOUCH_SCREEN();
	--		MM.SHOW_UIPOPUP("tutorial.f3spr","popup",0,0,LAYOUT_MIDDLE);
	--		
	--		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP27);
	--		MM.LOG("RESULT3");
	--		
	--		return 0;
	--	end
	--else
	--end
	MM.LOG("RESULT6");
	MM.SET_CTRL(SCRIPT_STEP, RESULT_SENT);
	return 0;
end

function UpdateResult(num)
	--MM.LOG("Check 1");
	if (MM.CTRL(SCRIPT_STEP) == RESULT_SEND) then
		MM.LOG("TUTORIAL RESULT SEND");		
		ResultTimer = 0;
		MM.SEND_RESULT();
		MM.SET_CTRL(SCRIPT_STEP, RESULT_SENDING);
		MM.LOG("Check 2");
	elseif (MM.CTRL(SCRIPT_STEP) == RESULT_SENDING) then
		MM.LOG("Check 3");
		ResultTimer = ResultTimer + num;
		if(ResultTimer > 18000) then
		MM.LOG("Check 4");
			MM.SET_CTRL(SCRIPT_STEP, RESULT_SEND);
		end
	elseif (MM.CTRL(SCRIPT_STEP) == RESULT_SENT) then
		MM.LOG("TUTORIAL END");
		return 1;
	end

	return 0;
end
----------------------------------------------------------------------------------

function StringCompare(str1, str2)
	-- 비교 할 스트링의 길이를 구한다.
	local nLen = string.len(str2) 
	-- 두개의 스트링을 비교해서 같은 부분의 문자열의 시작 부분과 끝나는 부분을 찾는다.
	local nStart, nEnd = string.find( str1, str2); -- 처음 스타트는 1부터 시작 한다.
	if(nStart == 1 and nEnd == nLen) then--처음 시작이 1이면 맨 처음과 같다는 뜻이고 전체 길이와 끝이 같다면 문자열의 길이기 같다는 뜻이다.
		return true
	else
		return false
	end
end

function Load(num)
	MM.LOG("SpecialStage.lua");
	MM.VALUE_INIT();
	MM.SET_TOUCH_LOCK();
	MM.CLOSE_ALLPOPUP();
	
	if (TRUE == MM.ISREWORD()) then
		is_reword = TRUE;
		--MM.SHOW_EXIT(BUTTON_SKIP, "mg2154");
		MM.SET_TUTORIAL_REWARD_UI(true,false,"","");
	else
		is_reword = FALSE;
		--MM.SHOW_EXIT(BUTTON_STOP, "mg2154");
		MM.SET_TUTORIAL_REWARD_UI(true,false,"","");
	end
	
	MM.LOAD_F3SPR("tutorial.f3spr");
	MM.LOAD_F3SPR("tutorial_image.f3spr");
	
	MM.SET_CTRL(SCRIPT_STEP, SCRIPT_START);
end

function Update(timeDelta)
	if (MM.CTRL(SCRIPT_STEP) == SCRIPT_START) then
		MM.LOG("SCRIPT_START");
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP01);
	elseif (MM.CTRL(SCRIPT_STEP) == SCRIPT_END) then
  		   MM.LOG("SCRIPT_END");
		   MM.SET_CTRL(SCRIPT_STEP, RESULT_SEND);
	elseif (MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP01) then
			MM.LOG("SCRIPT_STEP01");
			MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP02);
			MM.REG("SpecialStage_1.lua");			
	elseif (MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP04) then
			MM.LOG("SCRIPT_STEP04");
			MM.SET_CTRL(SCRIPT_STEP, SCRIPT_END);
	end
	
	-- 필수 적용 부분
	return UpdateResult(timeDelta);
end

function OnCommand(event)
	if (StringCompare(event, "<btn>close2")) then
		if (MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP03) then
			MM.LOG("SCRIPT_STEP03");
			MM.HIDE_SPRITE(2000);
			MM.HIDE_MASK();
			MM.HIDE_TOUCH();
			--MM.SET_TOUCH_LOCK();
			MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP04);
		end
	elseif (StringCompare(event, "<btn>01")) then
		if (MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP06 ) then
			MM.LOG("SCRIPT_STEP06");
			MM.HIDE_SPRITE(2000);
			MM.HIDE_MASK();
			MM.HIDE_TOUCH();			
			MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP07);
		end
	elseif (StringCompare(event, "<btn>Upgrade")) then
		if (MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP09 ) then
			MM.LOG("SCRIPT_STEP09");
			MM.HIDE_MASK();
			MM.HIDE_TOUCH();
			MM.HIDE_SPRITE();
			MM.SET_CTRL(SCRIPT_STEP, SCRIPT_END);
		end
	end	
end

function OnChangeScene(num)
	if (TRUE == MM.ISREWORD()) then
		is_reword = TRUE;
		--MM.SHOW_EXIT(BUTTON_SKIP, "mg2154");
		MM.SET_TUTORIAL_REWARD_UI(true,false,"","");
	else
		is_reword = FALSE;
		--MM.SHOW_EXIT(BUTTON_STOP, "mg2154");
		MM.SET_TUTORIAL_REWARD_UI(true,false,"","");
	end
	
end