--HELP 가이드 기본규칙 튜토리얼--

LAYOUT_TOP = 0;
LAYOUT_MIDDLE = 1;
LAYOUT_BOTTOM = 2;

MSG_BG_OFF = 0;
MSG_BG_ON = 1;
--검은색 배경이 깔리는냐 안깔리느냐

MSG_LEFT = 1;
MSG_RIGHT = 2;
--캐릭터가 왼쪽/오른쪽에 나오는지(텍스트)

MASK_SQUARE = 1;
MASK_CIRCLE = 2;
--검은색 구멍뚫는것(아무때나 쓸수있음)

ANI_ONCE = 0;
ANI_LOOP = 1;

UI_TOUCH_OFF = 0;
UI_TOUCH_ON = 1;

TOUCH_TEXT_OFF = 0;
TOUCH_TEXT_ON = 1;

SetTimer(0);

	if (MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP02) then
		MM.LOG("SCRIPT_STEP02");
		
		MM.FIXED_DELAY(1.5);
		MM.SHOW_BG_BLACK();
		MM.SHOW_SPRITE("tutorial.f3spr", "Magic_line_b", ANI_ONCE, 0, -50, 1.0, 1.0, 1000, LAYOUT_MIDDLE, 6); -- (SPR, 멀티씬, 반복여부, X좌표, Y좌표, X비율, Y비율, 넘버링, 해상도 위치 조정, 뎁스)		
		MM.FIXED_DELAY(2.0);
		MM.MSG(0, 250, MSG_BG_OFF, "nt42203", LAYOUT_MIDDLE); --기본 규칙 튜토리얼이 진행됩니다
		
		MM.HIDE_BG();
		MM.ENABLE_DICE(1, 0); --Roll 버튼 활성화
		MM.GAUGEBAR_EASYMODE_CHANGE(3,2);
		
		MM.SHOW_MASK(MASK_CIRCLE, 640, 225, 3.0, 3.0, 0.5, LAYOUT_MIDDLE);
		MM.DELAY(50);
		
		MM.HIDE_MASK(0.5);
		
		MM.FIXED_DELAY(0.3);
		MM.SHOW_BG_BLACK();
		
		MM.SHOW_SPRITE("tutorial.f3spr", "Magic_line_a", ANI_ONCE, 0, -45, 1.0, 1.0, 2000, LAYOUT_MIDDLE, 6); -- (SPR, 멀티씬, 반복여부, X좌표, Y좌표, X비율, Y비율, 넘버링, 해상도 위치 조정, 뎁스)
		MM.FIXED_DELAY(1.9);		
		
		MM.SHOW_SPRITE("guide_image_1.f3spr", "dice_popup", ANI_LOOP, 419, 202, 1.0, 1.0, 3000, LAYOUT_MIDDLE, 6); -- 주사위 굴리기 애니메이션
		--MM.SHOW_SPRITE("ImagePopup.f3spr", "imagepopup_ingame_dicepopup", ANI_ONCE, 0, 0, 1.0, 1.0, 3000, LAYOUT_MIDDLE, 6); -- 주사위 굴리기 애니메이션
		MM.SHOW_SPRITE("tutorial.f3spr", "touch_eft", ANI_LOOP, 642, 125, 1.0, 1.0, 4000, LAYOUT_MIDDLE, 5); -- 화면 터치 유도 이펙트
		--MM.SHOW_UI("guide_image.f3spr", "dice_popup", 419, 202, LAYOUT_MIDDLE); -- 주사위 굴리기 이미지형 팝업 레이아웃
		MM.SHOW_UI("ImagePopup.f3spr", "imagepopup_ingame_dicepopup", 0, 0, LAYOUT_MIDDLE); -- 주사위 굴리기 이미지형 팝업 레이아웃
		MM.FIXED_DELAY(1.0);
		MM.MSG(-1000,-1000,MSG_BG_OFF, "asd", LAYOUT_MIDDLE); -- 대사없이 터치해야만 넘어가게 하고 싶을 때 사용
		
		MM.HIDE_BG();
		MM.HIDE_UI();
		MM.HIDE_SPRITE(3000);
		MM.HIDE_SPRITE(4000);
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP03);
		SetTimer(0);
	
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP04) then
		MM.LOG("SCRIPT_STEP04");
		
	    MM.SET_TOUCH(455, 159, 350, 170, LAYOUT_MIDDLE);
		--Roll 버튼에 터치 영역 설정
		MM.DELAY(10);
		
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 642, 320, 1.0, 1.0, 2000, LAYOUT_MIDDLE);
		--ROLL 버튼에 터치 화살표 출력
		MM.SHOW_TOUCH(642, 225, FALSE, TOUCH_TEXT_OFF, LAYOUT_MIDDLE);
		--ROLL 버튼에 터치 이펙트 출력
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP05);
		
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP07) then
		MM.LOG("SCRIPT_STEP07");
		
		--MM.HIDE_TOUCH();
		--ROLL 버튼에 터치 이펙트 제거
		--MM.HIDE_SPRITE(2000);
		MM.SET_TOUCH_LOCK();
		
		MM.BLOCK_EFFECT_ODD(10,TRUE);
		--10번째 맵을 강조 표시
		MM.END_DICE();		
		MM.FIXED_DELAY(1.0);

		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP08);

	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP09) then
		MM.LOG("SCRIPT_STEP09");
		
	    MM.HIDE_TOUCH();
		MM.SET_TOUCH_LOCK();
		
		MM.PLAYER_MOVE(0, 10);
		MM.DELAY(20);

		MM.MSG(0, 250, MSG_BG_OFF, "nt42205", 0); --<style=mgi2422>블록</style>에 도착하면 <style=mgi2422>건물</style>을 건설할 수 있습니다
		--MM.HIDE_TALKCHAR();
		MM.BLOCK_EFFECT_ODD(10,FALSE);
		MM.STRUCT_ASK(0, 10, 1, 1);
		MM.DELAY(10);				
		
		MM.SET_TOUCH(495, 281, 140, 160, LAYOUT_MIDDLE);
		--첫번째 빌라 선택 버튼 터치 영역 설정

		MM.DELAY(10);		
		
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 570, 481, 1.0, 1.0, 1000, LAYOUT_MIDDLE);
		--첫번째 빌라 선택 버튼에 화살표 출력
		MM.SHOW_SPRITE("tutorial.f3spr", "eft_stroke_pop_landmark_1", ANI_LOOP, 563, 376, 1.0, 1.0, 2000, LAYOUT_MIDDLE);
		--첫번째 빌라 선택 버튼에 네모 박스 이펙트 출력
	
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP09);

	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP11) then
		MM.LOG("SCRIPT_STEP11");
		
		MM.SET_TOUCH(653, 281, 140, 160, LAYOUT_MIDDLE);
		--두번째 빌라 선택 버튼 터치 영역 설정

		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 725, 481, 1.0, 1.0, 1000, LAYOUT_MIDDLE);
		--두번째 빌라 선택 버튼에 화살표 출력
		MM.SHOW_SPRITE("tutorial.f3spr", "eft_stroke_pop_landmark_1", ANI_LOOP, 722, 376, 1.0, 1.0, 2000, LAYOUT_MIDDLE);
		--두번째 빌라 선택 버튼에 네모 박스 이펙트 출력

		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP12);

	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP14) then
		MM.LOG("SCRIPT_STEP14");
		
		MM.DELAY(10);
		
		MM.SET_TOUCH(660, 134, 250, 70, LAYOUT_MIDDLE);
		--구매 버튼 터치 영역 설정
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 795, 227, 1.0, 1.0, 1000, LAYOUT_MIDDLE);
		--구매 버튼에 화살표 출력
		MM.SHOW_SPRITE("tutorial.f3spr", "eft_stroke_pop_landmark_2", ANI_LOOP, 783, 167, 1.0, 1.0, 2000, LAYOUT_MIDDLE);
		--구매 버튼에 네모 박스 이펙트 출력
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP15);
		
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP16) then
		MM.LOG("SCRIPT_STEP16");
		MM.SET_TOUCH_LOCK();
		MM.DELAY(35);

		MM.BLOCK_EFFECT_ODD(10,TRUE)		
		MM.MSG(0, 250, MSG_BG_ON, "nt42206", 0); --하나의 블록에 건물은 <style=mgi2422>3개</style>까지 건설할 수 있고 <style=mgi2422>3층 건물</style>은 1바퀴를 더 돌아야 건설할 수 있습니다

		--MM.SHOW_MASKEX("block10_mask", 0, 0, 1.0, 1.0, 0, LAYOUT_MIDDLE, 1);
		MM.SHOW_MASK(MASK_CIRCLE, 460, 625, 3.0, 3.0, 0.5, LAYOUT_MIDDLE);
		--10번째 블록 마스크
		MM.STRUCT_BUILD(E_USER, 10, Property_Kind_Hotel);
		-- land and building

		MM.FIXED_DELAY(1.5);
		MM.MSG(0, 250, MSG_BG_OFF, "nt42207", 0); --하나의 블록에 <style=mgi2422>3개의 건물</style>이 건설되었습니다. 이제부터 <style=mgi2422>랜드마크</style>를 건설할 수 있습니다.

		MM.BLOCK_EFFECT_ODD(10,FALSE)
		MM.HIDE_MASK();		
		MM.STRUCT_ASK(0, 10, 4);
		MM.DELAY(10);
		
		MM.SET_TOUCH(667, 136, 250, 70, LAYOUT_MIDDLE);
		--구매 버튼 터치 영역 설정
		MM.SHOW_SPRITE("tutorial.f3spr", "Eft_Arrow_01", ANI_LOOP, 795, 229, 1.0, 1.0, 1000, LAYOUT_MIDDLE);
		--구매 버튼에 화살표 출력
		MM.SHOW_SPRITE("tutorial.f3spr", "eft_stroke_pop_landmark_2", ANI_LOOP, 785, 167, 1.0, 1.0, 2000, LAYOUT_MIDDLE);
		--구매 버튼에 네모 박스 이펙트 출력
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP17);
		
	elseif(MM.CTRL(SCRIPT_STEP) == SCRIPT_STEP18) then

		MM.SHOW_MASK(MASK_CIRCLE, 460, 625, 3.0, 3.0, 0.5, LAYOUT_MIDDLE);
		--10번째 블록 마스크	
		MM.STRUCT_BUILD(E_USER, 10, Property_Kind_Landmark); -- 10번째 블록에 유저 소유의 랜드마크 건설
		MM.DELAY(85);
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42208", 0); --<style=mgi2422>랜드마크</style>는 <style=mgi2422>인수</style>당하지 않고 더 많은 <style=mgi2422>통행료</style>를 받을 수 있는 최고의 건물입니다!

		MM.HIDE_MASK();
		MM.ALL_BUILD_CLEAR();	-- 모든 건물 삭제
		MM.DELAY(50);
		MM.FORCE_MOVE(E_USER, 0); -- 강제 이동
		MM.DELAY(30);

		MM.MSG(0, 250, MSG_BG_ON, "nt42209", 0); --이제 <style=mgi2422>코인</style>의 획득 방법과 <style=mgi2422>승리 방법</style>에 대해 알려드리겠습니다

		MM.SET_VISIBLE_INGAME_UI("uihelpbutton",0,0);
		MM.HUD_SCALE(1, 0.25, 160, 690, 1.7, 1.7, LAYOUT_MIDDLE);
		MM.SHOW_MASKEX("ingame_mask_01", 670, 515, 1.0, 1.0, 0, LAYOUT_MIDDLE); --플레이어 UI 가이드 마스크
		MM.MSG(0, 250, MSG_BG_OFF, "nt42211", 0); --현재 <style=mgi2422>보유한 코인</style>과 <style=mgi2422>총 자산</style>을 표시하고 있습니다
		MM.SHOW_SPRITE("tutorial.f3spr", "hud_ef_money", ANI_LOOP, 710, 498, 1.2, 1.0, 101, LAYOUT_MIDDLE);
		--플레이어 UI표시 보유자산 이펙트
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42210", 0); --<style=mgi2422>코인</style>은 시작 블록을 지날때마다 <style=mgi2422>월급으로 획득</style>하거나 내 블록에 상대방이 방문하면 <style=mgi2422>통행료로 획득</style>할 수 있습니다

		MM.HIDE_SPRITE(101);
		MM.DELAY(20);

		MM.SET_USER_MONEY(E_USER,9000);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,8000);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,7000);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,6000);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,5000);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,4000);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,3000);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,2000);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,1000);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,900);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,800);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,700);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,600);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,500);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,400);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,300);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,200);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,100);
		MM.DELAY(1);
		MM.SET_USER_MONEY(E_USER,0);
		MM.DELAY(1);
		
		MM.SHOW_SPRITE("tutorial.f3spr", "hud_ef_money", ANI_LOOP, 710, 550, 1.2, 1.0, 101, LAYOUT_MIDDLE);
		--플레이어 UI표시 보유자산 이펙트
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42212", 0); --게임이 종료될 때 <style=mgi2422>총 자산</style>이 가장 많은 친구가 <style=mgi2422>승리</style>하게 되고 게임 도중에 총 자산을 모두 잃으면 <style=mgi2422>패배</style>하게 됩니다

		MM.DELAY(5);
		MM.HIDE_SPRITE(101);
		MM.HIDE_UI();
		
		MM.HIDE_TALKCHAR();
		MM.HIDE_MASK(0);
		MM.HUD_SCALE(0);
		MM.HIDE_SPRITE(101);
		MM.DELAY(20);
		
		MM.MSG(0, 250, MSG_BG_OFF, "nt42282", 0);
		
		
		MM.SET_CTRL(SCRIPT_STEP, SCRIPT_STEP38);
	end
	
	
	
	